Skip to main content
Resource Center/Hardware/Backup Storage Operations
PUTBackup Storage OperationsSince 0.6SynchronousAuth Required

UpdateBackupStorage

UpdateBackupStorage

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The UUID of the target backup storage.

Body Fields

  • updatebackupstorageObjectRequired

    updatebackupstorage request body object.

    • nameString

      Optional. The new name of the backup storage.

    • descriptionString

      Optional. The new description of the backup storage.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryBackupStorageInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • urlStringRequired

      地址。

    • descriptionStringRequired

      The detailed description of the resource.

    • totalCapacityLongRequired

      总容量。

    • availableCapacityLongRequired

      可用容量。

    • typeStringRequired

      类型。

    • stateStringRequired

      当前状态。

    • statusStringRequired

      状态信息。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • attachedZoneUuidsListRequired

      附加区域UUID。

Endpoint

PUT/zstack/v1/backup-storage/{uuid}/actions

/zstack/v1/backup-storage/{uuid}/actions

Operation ID

UpdateBackupStorage

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/backup-storage/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatebackupstorage":{"name":"<name>","description":"<description>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "name": "New Name", "description": "Public Backup Storage", "totalCapacity": 1.073741824E9, "availableCapacity": 9.68884224E8, "type": "Ceph", "state": "Enabled", "status": "Connected", "createDate": "Jun 7, 2017 9:20:36 PM", "lastOpDate": "Jun 7, 2017 9:20:36 PM", "attachedZoneUuids": [ "90b2283f6c454453923dcf2f8e188330" ] } }

Change History

This API has no change history records yet.

View all change history